Subject: Re: [patch net-next RFC 0/4] introduce infrastructure for support of switch chip datapath

From: "John W. Linville" <[email-masked]>
Date: Wed, 26 Mar 2014 11:31:55 -0400

On Wed, Mar 26, 2014 at 06:54:54AM -0400, Jamal Hadi Salim wrote:
> On 03/26/14 01:37, Roopa Prabhu wrote:

> >Most cases the switch port driver (API) can talk to the switch chip
> >driver without a switch netdev in between.
> >But there are cases where a switch netdev might become necessary for
> >switch chip specific operations (which probably has been discussed on
> >this thread). An example could be a global acl rule that applies to all
> >switch ports. One can argue that this can be applied on individual
> >switch ports and the switch driver can take care of consolidating or
> >optimally programming the acl rule in the switch chip.
> >
> 
> There are a lot of things which dont tie to a specific port.
> I think these should be transparent to the chip. If i add a route
> and the decision is for that route to go to the chip, then it
> shows up at the driver and it goes to the ASIC.
> If i am dumping a fib table and some parts of it sit in the chip,
> then whatever interfaces would end up querying the chip.

Right -- I think the netdev portions of the switch hardware drivers can
be made smart enough to handle most of this stuff behind the scenes.

John
-- 
John W. Linville		Someday the world will need a hero, and you
[email-masked]			might be all we have.  Be ready.